webpack bable-loader升级无法编译jsx  es6 

麦芽糖

rt,今天开了个新项目,玩下webpack的其他特性
然后就就这样了

clipboard.png

尼玛,为啥? 这没有道理啊。 翻了以前的webpack配置都没有发现问题。

。。。(好久没解决)

无奈转头喝杯咖啡定定神。

留意留意到babel-loader 升级到6.x了。于是赶紧翻下 babel 官网和 babel-loader 官网。发现有这么一出

clipboard.png

也就是 babel新版本拆分了很多小模块,如果需要用到 es6 和 react 就需要 引入相关的 preset

npm install babel-preset-react -—save-dev
npm install babel-preset-es2015 --save-dev

但是,还是发现了这个。
还没有想到方案,只有吧...替换另一种写法。 知道的麻烦提示下!

clipboard.png

然后就ok了

阅读 4.6k

enjoy segmentfault

1.4k 声望
39 粉丝
0 条评论
你知道吗?

enjoy segmentfault

1.4k 声望
39 粉丝
宣传栏